a
* {
    box-sizing: border-box;
}

body { 

    --background-color : #f9f9f9;
    --text-color : black;
    --elements-color : white;  

    margin: 0;
    user-select: none;
    font-family: "Nunito Sans", sans-serif;
    background-color: var(--background-color);
    color: var(--text-color);
    --box-shadow : 0px 0px 3px 0px rgba(0, 0, 0, 0.5);
    --box-shadow-hover : 0px 0px 6px 0px rgba(0, 0, 0, 0.6);
}

body.dark {

    --background-color : #202c37;
    --text-color : white;
    --elements-color : #2b3945;
    --box-shadow : 0px 0px 3px 0px rgba(255, 255, 255, 0.92);
    --box-shadow-hover : 0px 0px 6px 0px rgba(255, 255, 255, 0.99);
}

.header {
    box-shadow: 0px 3px 4px 0px rgba(0, 0, 0, 0.1);
}

.header h2{

    font-weight: 800;
}

.header-content {

    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 40px;
    max-width: 1280px;
    margin-inline: auto;
    background-color: var(--elements-color);
    color: var(--text-color);
}

.webname {

    text-decoration: none;
    color: var(--text-color);
}

.darkmode {

    display: flex;
    align-items: center;
    justify-content: end;
    cursor: pointer;
}

.darkicon {

    max-width: 16px;
    margin-right: 6px;
}

.theme-text {
    color: var(--text-color);
}

main {

    padding: 24px;
}


.search-filter-container {

      display: flex;
      justify-content: space-between;
      gap: 30px;
      margin-top: 20px;
      margin-bottom: 40px;
}

.search-container {

    background-color: var(--background-color);
    display: flex;
    gap: 10px;
    max-width: 100%;
    width: 400px;
    box-shadow: var(--box-shadow);
    transition: box-shadow 0.3s ease-in-out;
    padding-left: 20px;
    border-radius: 4px;
    overflow: hidden;
}

.search-container:hover {

    box-shadow: var(--box-shadow-hover);
}

.search-icon {

    max-width: 18px;
    opacity: 0.8;
}

.searchbar {

    width: 100%;
    min-height: 40px;
    border: none;
    outline: none;
    font-weight: 600;
    background-color: var(--background-color);
    color: var(--text-color);
    /* border: 1px solid red; */
}

.searchbar::placeholder{

    color: #999;
    font-size: 13px;
}

.dropdown-filter {

    background-color: var(--background-color);
    color: var(--text-color);
    width: 200px;
    max-width: 100%;
    min-height: 40px;
    padding: 0px 16px;
    outline: none;
    border: none;
    border-radius: 4px;
    box-shadow: var(--box-shadow);
    cursor: pointer;
}

.dropdown-filter:hover {

    box-shadow: var(--box-shadow-hover);
}


.countries-container {

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 16px;
    row-gap: 50px;
    width: fit-content;
    margin-top: 16px;
    margin-inline: auto;
}

.country-card {

    display: flex;
    flex-direction: column;
    color: black;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.4);
    color: var(--text-color);
}

.country-card:hover {

    cursor: pointer;
    transform: scale(1.03);
    box-shadow: 0px 0px 16px 0px rgba(0, 0, 0, 0.3);
}

 .flagImg{

    max-width: 100%;
    width: 200px;
    aspect-ratio: 16 / 9;
    border-radius: 3px;
    object-fit: cover;
}

.country-detail {

    background-color: var(--elements-color);
    padding: 15px 20px;
    width: 200px;
    max-width: 100%;
    border-radius: 3px;
}

.countryName {

    font-weight: 900;
    margin-top: 0px;
    margin-bottom: 15px;

}

.country-detail p{

    font-size: 12px;
    margin-block: 5px;
}